/*
 Copyright (C) 2007 by Ben Anderman <ben@happyspork.com>
 Part of Sporktris http://www.happyspork.com/games
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY.
 
 See the License.txt file for more details.
 */

#ifndef PREFS_FILE_H
#define PREFS_FILE_H

#include <string>

#include "namedv.h"

using namespace std;

namespace prefs_file
{
	int read (const char *filename, Namedv *nv);
	bool save (const char *filename, Namedv *nv);
	string readUntil (string str, int *end, char until);
};

#endif
